Bug 120879 - /usr/lib/python2.3/config/Makefile in wrong package, breaks distutils
/usr/lib/python2.3/config/Makefile in wrong package, breaks distutils
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-14 15:59 EDT by Noa Resare
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-15 04:52:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noa Resare 2004-04-14 15:59:33 EDT
Description of problem:

I'm having a dejavu about this, thinking i reported it and it was
fixed a long time ago. Oh well. Here goes.

The distutils functionality that many python programs depend on to
install correctly depends on the file
/usr/lib/python2.3/config/Makefile that currently resides in the
python-devel package together with stuff needed develop c-extensions
needed for python.

Please move /usr/lib/python2.3/config/Makefile into the main python
rpm. This has the nice bonus of avoiding unneeded newbie unfrendly
error messages when trying to install common programs.

Version-Release number of selected component (if applicable):
python-2.3.3-3

How reproducible:
always

Steps to Reproduce:
1. verify that python-devel is not installed
2. try to install a package that that uses distutils, my example was
http://unc.dl.sourceforge.net/sourceforge/moin/moin-1.2.1.tar.gz
3. run 'python setup.py'

  
Actual results:
[noa@marit moin-1.2.1]$ python setup.py install --home=/opt/moin
--record=install.log
running install
error: invalid Python installation: unable to open
/usr/lib/python2.3/config/Makefile (No such file or directory)


Expected results:
successful installation

Additional info:
Comment 1 Mihai Ibanescu 2004-04-16 14:42:11 EDT
I remember seeing this too. Weird.
Comment 2 Mihai Ibanescu 2004-05-06 18:36:19 EDT
Should be fixed in 2.3.3-4
Comment 3 Noa Resare 2004-05-15 04:52:12 EDT
I can confirm this as fixed in python-2.3.3-6 from the devel tree

Note You need to log in before you can comment on or make changes to this bug.